Package org.sonatype.maven.polyglot

# Class PolyglotModelUtil

java.lang.Object
org.sonatype.maven.polyglot.PolyglotModelUtil

public class PolyglotModelUtil extends Object
Support for models.

Since:
  0.7
Author:
  Jason Dillon

## Constructor Summary

Constructors
Constructor
Description
`PolyglotModelUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getLocation(Map<?,?> options)`
Gets the location, as configured via the `ModelProcessor.SOURCE` key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PolyglotModelUtil

public PolyglotModelUtil()

## Method Details

### getLocation

public static String getLocation(Map<?,?> options)
Gets the location, as configured via the `ModelProcessor.SOURCE` key. Supports values of:

- String
- File
- URL
- ModelSource

Returns:
  The model location; or null.